Bug 487769 - Installing 'libwnck-devel' needs to also install 'libXres-devel'
Installing 'libwnck-devel' needs to also install 'libXres-devel'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-27 15:23 EST by Matt Woelfel
Modified: 2014-06-18 05:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-25 11:02:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Woelfel 2009-02-27 15:23:33 EST
Description of problem:
I attempted to install XFCE 4.6 using the graphical installer.  The dependency list included libwnck.  I installed 'libwnck-devel', but the dependency checker failed to find libwnck.
After installing 'libXres-devel' the XFCE installer detected libwnck as expected.

Version-Release number of selected component (if applicable):
2.24.2-1.fc10

How reproducible:
100%

Steps to Reproduce:
1. yum install libwnck-devel
2. pkg-config libwnck-1.0 --modversion
3.
  
Actual results:
Package xres was not found in the pkg-config search path.
Perhaps you should add the directory containing `xres.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xres', required by 'libwnck', not found

Expected results:
2.24.2

Additional info:
Comment 1 Debarshi Ray 2009-03-16 16:40:39 EDT
This was causing a build failure for Anjuta. Although I have worked around it, having a 'Requires: libXres-devel' in libwnck-devel would be nice.
Comment 2 Adam Jackson 2009-03-25 11:02:19 EDT
Fixed for free in f11, thanks to pkgconfig requires.

Note You need to log in before you can comment on or make changes to this bug.